const inline void FormulaCode(CVector4 &z, const sFractal *fractal, sExtendedAux &aux) override
	{
        
    global z.x;
    v0_6 = ebx_global_2d_to_2d_local;
    v0_7 = esi_global_2d_to_2d_local;
    v0_8 = edi_global_2d_to_2d_local;
    edi_global_2d_to_2d_local = z.z;
    esi_global_2d_to_2d_local = z.y;
    v0_d = z.x;
    z.x = arg1;
    ebx_global_2d_to_2d_local = arg1[48];
    __asm_fpatan(v0_8, v0_7, v0_6);
    v1_28 = ebx_global_2d_to_2d_local + 32 # bp+28;
    z.x = v1_28;
    fpu_stat_TOP_global_2d_to_2d_local -= 1;
    z.x = __asm_wait();
    stack_var__2d_28_0 = 0.0;
    stack_var__2d_20_0_in = z.y + *v1_28;
    z.x = 0;
    v1_58 = __asm_fnstsw(fpsw_global_2d_to_2d_local) # bp+58;
    z.x = z.x & -0x10000 | v1_58;
    while v1_58 & 0x4100 == 0:;
        v1_3e = ebx_global_2d_to_2d_local + 8;
        z.x = v1_3e;
        __asm_wait();
        v1_4a = ebx_global_2d_to_2d_local + 8;
        z.x = v1_4a;
        storemerge = __asm_wait();
        stack_var__2d_28_0 -= *v1_4a;
        stack_var__2d_20_0_in -= *v1_3e;
        z.x = storemerge;
        v1_58 = __asm_fnstsw(fpsw_global_2d_to_2d_local);
        z.x = z.x & -0x10000 | v1_58;
    if fabsl(stack_var__2d_28_0) < 9223372036854775808.0:;
        # bb;
        v4_60 = sinl(stack_var__2d_28_0);
        v7_60 = cosl(stack_var__2d_28_0);
    else:;
        # 0x5d;
        v4_60 = stack_var__2d_28_0;
        v7_60 = st5_global_2d_to_2d_local;
    # bb259;
    z.x = __asm_wait();
    __asm_wait();
    *esi_global_2d_to_2d_local = v7_60 * z.y - v4_60 * z.z;
    *edi_global_2d_to_2d_local = v4_60 * z.y + v7_60 * z.z;
    v6_a0 = z.z * z.z;
    z.x = v0_d;
    v3_a5 = z.x;
    z.x = v0_d;
    v4_b8 = v6_a0 / (v6_a0 + v3_a5 * z.x + z.y * z.y);
    v1_ba = ebx_global_2d_to_2d_local + 16;
    z.x = v1_ba;
    v6_bd = *v1_ba - v4_b8;
    __asm_wait();
    z.x = v0_d;
    v3_c6 = z.x;
    z.x = v0_d;
    v7_d3 = (v3_c6 * z.x - z.y * z.y) * v6_bd;
    __asm_wait();
    v1_da = ebx_global_2d_to_2d_local + 24;
    z.x = v1_da;
    z.x = v0_d;
    v7_e6 = *v1_da * z.x * z.y * v6_bd;
    __asm_wait();
    z.x = v0_d;
    v3_f0 = z.x;
    z.x = v0_d;
    v4_106 = sqrtl(v3_f0 * z.x + z.y * z.y) * ebx_global_2d_to_2d_local[24] * z.z # bp+106;
    __asm_wait();
    z.x = arg1;
    z.x = v0_d;
    *v0_d = v7_d3 + j.x;
    __asm_wait();
    z.x = arg1;
    *esi_global_2d_to_2d_local = v7_60 * v7_e6 + v4_60 * v4_106 + j.y;
    __asm_wait();
    z.x = arg1;
    *edi_global_2d_to_2d_local = v7_60 * v4_106 - v4_60 * v7_e6 + j.z;
    v0_148 = __asm_wait() # bp+148;
    z.x = v0_148;
    return v0_148;


	}